> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/market/get-volume/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get 24h total volume GET https://www.okx.com/api/v5/market/platform-24-volume The 24-hour trading volume is calculated on a rolling basis. Reference: https://okx-demo.ferndocs.com/api/api-reference/market/get-volume ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5MarketPlatform24VolumeGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5MarketPlatform24VolumeGetResponsesContentApplicationJsonSchemaDataItems - `volUsd` (string, optional) — 24-hour total trading volume from the order book trading in "USD" - `volCny` (string, optional) — 24-hour total trading volume from the order book trading in "CNY" - `ts` (string, optional) — Data return time, Unix timestamp format in milliseconds, e.g. `1597026383085` ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "volUsd": "34462818865189", "volCny": "230900886396766", "ts": "1657856040389" } ] } ``` **SDK Code** ```python market_getVolume_example import requests url = "https://www.okx.com/api/v5/market/platform-24-volume" response = requests.get(url) print(response.json()) ``` ```javascript market_getVolume_example const url = 'https://www.okx.com/api/v5/market/platform-24-volume'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go market_getVolume_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/market/platform-24-volume" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby market_getVolume_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/market/platform-24-volume") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java market_getVolume_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/market/platform-24-volume") .asString(); ``` ```php market_getVolume_example request('GET', 'https://www.okx.com/api/v5/market/platform-24-volume'); echo $response->getBody(); ``` ```csharp market_getVolume_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/market/platform-24-volume"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift market_getVolume_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/market/platform-24-volume")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```